<?php
/**
 * Sample implementation of the Custom Header feature
 *
 * @link https://developer.wordpress.org/themes/functionality/custom-headers/
 *
 * @package interior_services
 */

function interior_services_custom_header_setup() {
	add_theme_support( 'custom-header', apply_filters( 'interior_services_custom_header_args', array(
		'default-text-color'     => 'fff',
		'header-text' 			 =>	false,
		'width'                  => 1360,
		'height'                 => 110,
		'flex-width'         	=> true,
        'flex-height'        	=> true,
		'wp-head-callback'       => 'interior_services_header_style',
	) ) );
}

add_action( 'after_setup_theme', 'interior_services_custom_header_setup' );

if ( ! function_exists( 'interior_services_header_style' ) ) :

add_action( 'wp_enqueue_scripts', 'interior_services_header_style' );
function interior_services_header_style() {
	if ( get_header_image() ) :
	$interior_services_custom_css = "
		header.site-header .header-main-wrapper .bottom-header-outer-wrapper .bottom-header-part,
		.sticky-header.is-sticky{
			background-image:url('".esc_url(get_header_image())."') !important;
			background-position: center top;
			background-size: cover !important;
		}
		header.site-header .header-main-wrapper .bottom-header-outer-wrapper .bottom-header-part .bottom-header-part-wrapper{
			box-shadow: unset !important;
			margin-top: 0px !important; 
		}
		";
	   	wp_add_inline_style( 'interior-services-style', $interior_services_custom_css );
	endif;
}
endif;